%define perl_major_ver %(eval `perl -V:version`; echo ${version%*.[0-9]*}.0)

Name:          perl-Digest-Perl-MD4
Version:       1.4
Release:       5mamba
Summary:       Digest-Perl-MD4 :: MD4 library for Perl
Group:         System/Libraries/Perl
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           http://www.cpan.org
Source:        http://search.cpan.org/CPAN/authors/id/O/OT/OTAKA/Digest-Perl-MD4-%{version}.tar.gz
License:       GPL
BuildRequires: perl-devel >= %{perl_major_ver}
Requires:      perl >= %{perl_major_ver}
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
MD4 library for Perl.

%prep
%setup -q -n MD4

%build
perl Makefile.PL PREFIX=%{_prefix} INSTALLDIRS=vendor
%make
make test

%install
[ "%{buildroot}" != / ] && rm -rf %{buildroot}
%makeinstall_perl

packlist=`find %{buildroot} -name .packlist`
[ -z "$packlist" ] && exit 1 || cat $packlist | \
   sed "s,%buildroot,,g;s,.*/man/.*,&.gz,g" | \
   sort -u > .packlist && rm $packlist

strid=`echo $packlist | sed 's,.*auto\(.*\)/.packlist,\1,'`
for dir in `find %{buildroot} -type d | grep $strid`; do
   echo "%dir ${dir#%buildroot}" >> .packlist
done

%clean
[ "%{buildroot}" != / ] && rm -rf %{buildroot}

%files -f .packlist
%defattr(-,root,root)

%changelog
* Tue Nov 13 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 1.4-5mamba
- perl 5.16 mass rebuild

* Tue Nov 04 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 1.4-4mamba
- automatic rebuild by autodist

* Tue Sep 30 2008 Aleph0 <aleph0@openmamba.org> 1.4-3mamba
- specfile updated

* Tue Feb 01 2005 Silvan Calarco <silvan.calarco@mambasoft.it> 1.4-2qilnx
- make perl version check non strict (>=)

* Thu Feb 12 2004 Silvan Calarco <silvan.calarco@mambasoft.it> 1.4-1qilnx
- First build
